﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
    <Schema Namespace="FoxConnDatabaseModel.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2012" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="TblProduct">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="uniqueidentifier" Nullable="false" />
          <Property Name="Name" Type="nchar" MaxLength="100" />
          <Property Name="Category" Type="nchar" MaxLength="100" />
          <Property Name="Price" Type="decimal" Precision="18" Scale="2" />
          <Property Name="SaleDate" Type="datetime" />
          <Property Name="TaxPrice" Type="decimal" Precision="18" Scale="2" />
        </EntityType>
        <EntityContainer Name="FoxConnDatabaseModelStoreContainer">
          <EntitySet Name="TblProduct" EntityType="Self.TblProduct" Schema="dbo" store:Type="Tables" />
        </EntityContainer>
      </Schema></edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="FoxConnDatabaseModel" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityContainer Name="FoxConnDatabaseEntities" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="TblProduct" EntityType="FoxConnDatabaseModel.TblProduct" />
        </EntityContainer>
        <EntityType Name="TblProduct">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Guid" Nullable="false" />
          <Property Name="Name" Type="String" MaxLength="100" FixedLength="true" Unicode="true" />
          <Property Name="Category" Type="String" MaxLength="100" FixedLength="true" Unicode="true" />
          <Property Name="Price" Type="Decimal" Precision="18" Scale="2" />
          <Property Name="SaleDate" Type="DateTime" Precision="3" />
          <Property Name="TaxPrice" Type="Decimal" Precision="18" Scale="2" />
        </EntityType>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="FoxConnDatabaseModelStoreContainer" CdmEntityContainer="FoxConnDatabaseEntities">
          <EntitySetMapping Name="TblProduct">
            <EntityTypeMapping TypeName="FoxConnDatabaseModel.TblProduct">
              <MappingFragment StoreEntitySet="TblProduct">
                <ScalarProperty Name="TaxPrice" ColumnName="TaxPrice" />
                <ScalarProperty Name="SaleDate" ColumnName="SaleDate" />
                <ScalarProperty Name="Price" ColumnName="Price" />
                <ScalarProperty Name="Category" ColumnName="Category" />
                <ScalarProperty Name="Name" ColumnName="Name" />
                <ScalarProperty Name="Id" ColumnName="Id" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="false" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>